/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\items\Craftable artys\ml peerless\TheNightReaper.cs
Lines of code: 64
***********************************************************/


using System;
using Server.Network;
using Server.Items;

namespace Server.Items
{
public class  TheNightReaperRecipe : BaseRecipe
	{
	
		[Constructable]
		public TheNightReaperRecipe()
		{		
		//InitRequirements();
		}
		
		
		//overrides:
		
		public override Type CraftedItem { get { return typeof(TheNightReaper); } }
		public override string artyname { get { return "The Night Reaper"; } }
		
		
	
		public override void InitRequirements()
		{
		base.InitRequirements(); //MUST be first! 
		
		//add required skills:
		
		RequiredSkills.Add(new ReqSkill(SkillName.Fletching,75));
		
		//add required resources
		
		CommonResources.Add(new ReqRes("Board",typeof(Board),10));
		
		RareResources.Add(new ReqRes("Dread Horn Mane",typeof(DreadHornMane),1));		
		RareResources.Add(new ReqRes("Blight",typeof(Blight),10));		
		RareResources.Add(new ReqRes("Scourge",typeof(Scourge),10));		
		}	

			
	
		public TheNightReaperRecipe( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}	
		
	}


	public class TheNightReaper : RepeatingCrossbow
	{
		public override int LabelNumber{ get{ return 1072912; } } // The Night Reaper

		[Constructable]
		public TheNightReaper()
		{
			ItemID = 0x26CD;
			Hue = 0x41C;

			Slayer = SlayerName.Exorcism;
			Attributes.NightSight = 1;
			Attributes.WeaponSpeed = 25;
			Attributes.WeaponDamage = 55;
		}

		public TheNightReaper( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}